# ente - simple, safe photo storage

**ente** is a cloud storage provider that provides end-to-end encryption for your data.

We have open-source apps across Android, iOS, web and desktop that automatically backup your photos and videos.

This repository contains the code for our mobile apps, built with a lot of ❤️, and a little bit of [Flutter](https://flutter.dev).

![App Screenshots](https://user-images.githubusercontent.com/24503581/175218240-fe5a0703-82c1-4750-bfea-abfd9f409a97.png)

<br/>

## ✨ Features

- Client side encryption (only you can view your photos and videos)
- Background sync
- Family plans
- Shareable links for albums
- Highlights of memories from previous years
- Search by album, day, month, year, and file types (more in the works...)
- Ability to detect and delete duplicate files
- Light and dark mode
- Image editor
- EXIF viewer
- Ability to free up disk space by deleting backed up photos
- Support for Live Photos
- Recycle bin
- 2FA
- Lockscreen
- Zero third-party tracking / analytics

<br/>

## 📲 Installation

### Android

This [repository's GitHub
releases](https://github.com/ente-io/photos-app/releases) contains APKs, built
straight from source. The latest build is available @
[ente.io/apk](https://ente.io/apk). These builds keep themselves updated,
without relying on third party stores.

You can alternatively install the build from PlayStore or F-Droid.

<a href="https://play.google.com/store/apps/details?id=io.ente.photos">
  <img width="197" alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png">
</a>
<a href="https://f-droid.org/packages/io.ente.photos.fdroid/">
  <img width="197" alt="Get it on F-Droid" src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png">
</a>

### iOS

<a href="https://apps.apple.com/in/app/ente-photos/id1542026904">
  <img width="197" alt="Download on AppStore" src="https://user-images.githubusercontent.com/1161789/154795157-c4468ff9-97fd-46f3-87fe-dca789d8733a.png">
</a>

<br/>
<br/>

## 🧑‍💻 Building from source

1. [Install Flutter](https://flutter.dev/docs/get-started/install)
2. Clone this repository with `git clone git@github.com:ente-io/photos-app.git`
3. Pull in all submodules with `git submodule update --init --recursive`
4. Enable repo git hooks `git config core.hooksPath hooks`
5. Setup TensorFlowLite by executing `setup.sh`
6. For Android, run `flutter build apk --release --flavor independent`
7. For iOS, run `flutter build ios`

<br/>

## 🙋 Help

We provide human support to our customers. Please write to [support@ente.io](mailto:support@ente.io) sharing as many details as possible about whatever it is that you need help with, and we will get back to you as soon as possible.

<br/>

## 🧭 Roadmap

We maintain a public roadmap, that's driven by our community @ [roadmap.ente.io](https://roadmap.ente.io).

<br/>

## 🤗 Support

If you like this project, please consider upgrading to a paid subscription.

If you would like to motivate us to keep building, you can do so by
[starring](https://github.com/ente-io/photos-app/stargazers) this project.

<br/>

## ❤️ Join the Community

Follow us on [Twitter](https://twitter.com/enteio), join [r/enteio](https://reddit.com/r/enteio) or hang out on our [Discord](https://ente.io/discord) to get regular updates, connect with other customers, and discuss your ideas.

An important part of our journey is to build better software by consistently listening to community feedback. Please feel free to [share your thoughts](mailto:feedback@ente.io) with us at any time.
